Subject: bug#13879: Change src/msdos.c from raw-text to ASCII

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Mar 2013 20:49:03 +0200

> Date: Tue, 05 Mar 2013 09:43:07 -0800
> From: Paul Eggert <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> In my attempt to make the Emacs sources UTF-8-safe, I ran across
> src/msdos.c, which is currently raw-text because
> it has string literals containing bytes with the top
> bit set.  There's an easy way to make this ASCII, e.g.,
> use the string literal "\375" rather than "X" (where X is
> the actual byte with octal code 375).  Attached is a proposed patch.
> I'm CC'ing this to Eli since this affects the MS-DOS port.

Thanks, but I would like to make a different change there.  These
bytes are used in the definitions of non-US keyboard layouts, and it
is convenient to see the actual characters show up there, not escape
sequences.  Is it OK to use some suitable DOS codepage encoding for
this file instead of UTF-8?  If yes, I will make a suitable change.